# MSRPProtocol Class Reference

`#include <msrp.h>`

## Public Types

| SEND
| REPORT
| NumCommands
enum | Commands { SEND, REPORT, NumCommands }

## Public Member Functions

| MSRPProtocol ()
bool | SendSEND (const PURL &from, const PURL &to, const PString &text, const PString &contentType, PString &messageId)
bool | SendChunk (const PString &transactionId, const PString toUrl, const PString fromUrl, const PMIMEInfo &mime, const PString &body)
bool | SendResponse (const PString &chunkId, unsigned response, const PString &text, const PString &toUrl, const PString &fromUrl)
bool | SendREPORT (const PString &chunkId, const PString &toUrl, const PString &fromUrl, const PMIMEInfo &mime)
bool | ReadMessage (int &command, PString &chunkId, PMIMEInfo &mime, PString &body)

## Data Fields

PMutex | m_mutex

## Static Public Attributes

static const unsigned | MaximumMessageLength = 1024

## Data Structures

class | Message

## Member Enumeration Documentation

enum MSRPProtocol::Commands

Enumerator:

  SEND |
  REPORT |
  NumCommands |

## Constructor & Destructor Documentation

MSRPProtocol::MSRPProtocol | ( |  | ) |

## Member Function Documentation

bool MSRPProtocol::ReadMessage | ( | int & | command,
|  | PString & | chunkId,
|  | PMIMEInfo & | mime,
|  | PString & | body |
| ) |  |  |

bool MSRPProtocol::SendChunk | ( | const PString & | transactionId,
|  | const PString | toUrl,
|  | const PString | fromUrl,
|  | const PMIMEInfo & | mime,
|  | const PString & | body |
| ) |  |  |

bool MSRPProtocol::SendREPORT | ( | const PString & | chunkId,
|  | const PString & | toUrl,
|  | const PString & | fromUrl,
|  | const PMIMEInfo & | mime |
| ) |  |  |

bool MSRPProtocol::SendResponse | ( | const PString & | chunkId,
|  | unsigned | response,
|  | const PString & | text,
|  | const PString & | toUrl,
|  | const PString & | fromUrl |
| ) |  |  |

bool MSRPProtocol::SendSEND | ( | const PURL & | from,
|  | const PURL & | to,
|  | const PString & | text,
|  | const PString & | contentType,
|  | PString & | messageId |
| ) |  |  |

## Field Documentation

PMutex MSRPProtocol::m_mutex

const unsigned MSRPProtocol::MaximumMessageLength = 1024`[static]`

The documentation for this class was generated from the following file:

- msrp.h